import 'package:flutter/material.dart';
import 'package:wyatt_bloc_layout/wyatt_bloc_layout.dart';
import 'package:wyatt_component_copy_with_extension/component_copy_with_extension.dart';

part 'custom_bottom_bar.g.dart';

@ComponentCopyWithExtension()
class CustomBottomBar extends BottomNavigationBarComponent
    with $CustomBottomBarCWMixin {
  @override
  Widget build(BuildContext context) => BottomNavigationBar(
        items: [
          BottomNavigationBarItem(
              icon: Icon(
                Icons.e_mobiledata,
              ),
              label: 'Icon 1'),
          BottomNavigationBarItem(
              icon: Icon(
                Icons.do_not_disturb_off,
              ),
              label: 'Icon 2'),
        ],
        backgroundColor: Colors.blue,
      );
}
